<!-- Dashboard Header -->
<div class="Header">
  Users Application Dashboard
</div>

<!-- Buttons Area Header -->
<div class="Buttons">
  <form [formGroup]="searchForm" (ngSubmit)="addLocation()">

  <button class="Button Create"  type="submit"> Add City </button>
  <input id="search" type="text" formControlName="search">
</form>

</div>

  <!-- Cards Area 1 -->
  <div class="Cards">


      <div class="Card" *ngFor="let weather of usersWeather" >
        <div class="card-image city-1"></div>
        <h2 style="text-align: center;"> {{weather.name}}</h2>

        <p>
          Current Data About: {{weather.name}} <br>
          Temperature  = {{weather.temp}}c<br>
          {{weather.name}}'s Longitude  = {{weather.lon}}<br>
          {{weather.name}}'s Latitude   = {{weather.lat}}
        </p>

        <button class="Button Delete"  type="button" (click)="deleteLocation(weather.name)"> Delete {{weather.name}}</button>
    </div>
</div>
